wxGTK-2.8.9-2.PU_IAS.5.i386.rpm


Advertisement

Description

wxGTK - GTK2 port of the wxWidgets GUI library

Distribution: CentOS 5
Repository: PUIAS Unsupported i386
Package name: wxGTK
Package version: 2.8.9
Package release: 2.PU_IAS.5
Package architecture: i386
Package type: rpm
Installed size: 10.69 MB
Download size: 3.89 MB
Official Mirror: springdale.math.ias.edu
wxWidgets/GTK2 is the GTK2 port of the C++ cross-platform wxWidgets GUI library, offering classes for all common GUI controls as well as a comprehensive set of helper classes for most common application tasks, ranging from networking to HTML display and image manipulation.

Provides

  • libwx_gtk2u_adv-2.8.so.0
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_adv-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_aui-2.8.so.0
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_aui-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_core-2.8.so.0
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_core-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_gizmos-2.8.so.0
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_gizmos-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_gizmos_xrc-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_html-2.8.so.0
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_html-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_media-2.8.so.0
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_media-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_ogl-2.8.so.0
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_ogl-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_qa-2.8.so.0
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_qa-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_richtext-2.8.so.0
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_richtext-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_stc-2.8.so.0
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_stc-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_svg-2.8.so.0
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_svg-2.8.so.0(WXU_2.8.9)
  • libwx_gtk2u_xrc-2.8.so.0
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.1)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.2)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.4)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.5)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.7)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.8)
  • libwx_gtk2u_xrc-2.8.so.0(WXU_2.8.9)
  • wxGTK = 2.8.9-2.PU_IAS.5
  • wxGTK-common = 2.8.9-2.PU_IAS.5
  • wxGTK-stc = 2.8.9-2.PU_IAS.5
  • wxGTK-xrc = 2.8.9-2.PU_IAS.5
  • wxGTK2 = 2.8.9-2.PU_IAS.5
  • wxGTK2-stc = 2.8.9-2.PU_IAS.5
  • wxGTK2-xrc = 2.8.9-2.PU_IAS.5

Obsoletes

  • compat-wxGTK < 2.8.9-2.PU_IAS.5
  • compat-wxGTK-common < 2.8.9-2.PU_IAS.5
  • compat-wxGTK-stc < 2.8.9-2.PU_IAS.5
  • compat-wxGTK-xrc < 2.8.9-2.PU_IAS.5
  • compat-wxGTK2 < 2.8.9-2.PU_IAS.5
  • compat-wxGTK2-stc < 2.8.9-2.PU_IAS.5
  • compat-wxGTK2-xrc < 2.8.9-2.PU_IAS.5
  • wxGTK-common < 2.6.2-1
  • wxGTK-stc < 2.6.2-1
  • wxGTK-xrc < 2.6.2-1
  • wxGTK2 < 2.6.2-1
  • wxGTK2-stc < 2.6.2-1
  • wxGTK2-xrc < 2.6.2-1

    Download

    Install Howto

    1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
      [puias-unsupported]
      name=PUIAS Unsupported
      baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
      enabled=1
      gpgcheck=0
      
    2. Install wxGTK rpm package:
      # yum install wxGTK

    Files

    • /usr/lib/libwx_gtk2u_adv-2.8.so.0
    • /usr/lib/libwx_gtk2u_adv-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_aui-2.8.so.0
    • /usr/lib/libwx_gtk2u_aui-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_core-2.8.so.0
    • /usr/lib/libwx_gtk2u_core-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_gizmos-2.8.so.0
    • /usr/lib/libwx_gtk2u_gizmos-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_gizmos_xrc-2.8.so.0
    • /usr/lib/libwx_gtk2u_gizmos_xrc-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_html-2.8.so.0
    • /usr/lib/libwx_gtk2u_html-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_media-2.8.so.0
    • /usr/lib/libwx_gtk2u_media-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_ogl-2.8.so.0
    • /usr/lib/libwx_gtk2u_ogl-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_qa-2.8.so.0
    • /usr/lib/libwx_gtk2u_qa-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_richtext-2.8.so.0
    • /usr/lib/libwx_gtk2u_richtext-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_stc-2.8.so.0
    • /usr/lib/libwx_gtk2u_stc-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_svg-2.8.so.0
    • /usr/lib/libwx_gtk2u_svg-2.8.so.0.5.0
    • /usr/lib/libwx_gtk2u_xrc-2.8.so.0
    • /usr/lib/libwx_gtk2u_xrc-2.8.so.0.5.0
    • /usr/share/doc/wxGTK-2.8.9/changes.txt
    • /usr/share/doc/wxGTK-2.8.9/gpl.txt
    • /usr/share/doc/wxGTK-2.8.9/lgpl.txt
    • /usr/share/doc/wxGTK-2.8.9/licence.txt
    • /usr/share/doc/wxGTK-2.8.9/licendoc.txt
    • /usr/share/doc/wxGTK-2.8.9/preamble.txt
    • /usr/share/doc/wxGTK-2.8.9/readme.txt
    • /usr/share/locale/ca/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/cs/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/da/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/de/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/el/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/es/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/fi/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/fr/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/hu/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/id/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/it/LC_MESSAGES/wxmsw.mo
    • /usr/share/locale/it/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/ja/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/nl/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/pl/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/ru/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/sl/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/sv/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/tr/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/uk/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/zh_CN/LC_MESSAGES/wxstd.mo
    • /usr/share/locale/zh_TW/LC_MESSAGES/wxstd.mo

    Changelog

    2009-07-15 - Dan Horák <dan[at]danny.cz> - 2.8.9-2 - add fix for CVE-2009-2369 (#511279)

    2008-09-22 - Dan Horak <dan[at]danny.cz> - 2.8.9-1 - update to 2.8.9

    2008-09-06 - Tom "spot" Callaway <tcallawa@redhat.com> - 2.8.8-2 - fix license tag

    2008-07-31 - Dan Horak <dan[at]danny.cz> - 2.8.8-1 - update to 2.8.8 (rh bug #457406)

    2008-04-01 - Dan Horak <dan[at]danny.cz> - 2.8.7-2 - added fix for a race condition (rh bug #440011)

    2008-02-20 - Matthew Miller <mattdm@mattdm.org> - 2.8.7-1 - update to 2.8.7 (rh bug #369621, etc.) - split base libs into separate wxBase package (rh bug #357961) - okay, so, wxPython 2.8.7.1 seems to work fine against this version of the library, so I'm dropping the kludgy-patch-to-2.8.7.1 thing. Please report any compatibility problems with wxPython 2.8.7.1 and I'll fix them as they come up.

    2008-02-19 - Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.8.4-7 - Autorebuild for GCC 4.3

    2007-08-28 - Hans de Goede <j.w.r.degoede@hhs.nl> - 2.8.4-6 - Rebuild for new expat 2.0

    2007-08-03 - Matthew Miller <mattdm@mattdm.org> - 2.8.4-5 - obsolete all compat-wxGTK subpackages properly (bug #250687)

    2007-07-16 - Matthew Miller <mattdm@mattdm.org> - 2.8.4-4 - patch from svn to fix rh bug #247414

    Advertisement
    Advertisement